Result interface definition for Human library

Contains all possible detection results

### Hierarchy

- Result

## Index

### Properties

- body
- canvas
- error
- face
- gesture
- hand
- object
- performance
- persons
- timestamp

## Properties

### body

body: BodyResult[]

- Defined in src/result.ts:179

BodyResult: detection & analysis results

### Optional canvas

canvas?: null | AnyCanvas

- Defined in src/result.ts:189

optional processed canvas that can be used to draw input on screen

### error

error: null | string

- Defined in src/result.ts:195

Last known error message

### face

face: FaceResult[]

- Defined in src/result.ts:177

FaceResult: detection & analysis results

### gesture

gesture: GestureResult[]

- Defined in src/result.ts:183

GestureResult: detection & analysis results

### hand

hand: HandResult[]

- Defined in src/result.ts:181

HandResult: detection & analysis results

### object

object: ObjectResult[]

- Defined in src/result.ts:185

ObjectResult: detection & analysis results

### performance

performance: Record<string, number>

- Defined in src/result.ts:187

global performance object with timing values for each operation

### persons

persons: PersonResult[]

- Defined in src/result.ts:193

getter property that returns unified persons object

### Readonly timestamp

timestamp: number

- Defined in src/result.ts:191

timestamp of detection representing the milliseconds elapsed since the UNIX epoch